Subject: 1.7.5 bug?

From: [email-masked] (Gustavo Glusman)
Date: Fri, 24 Sep 1993 15:23:01 -0700

We are using version 1.7.5 of the server and core (this means, the latest,
I'm not sure what the number is, for the core).

I noticed (traceback-wise) that there is a difference between
$mail_recipient:is_writable_by and :is_readable_by.
:is_readable_by checks first if .readers is a list. If not, it's readable
by all.
:is_writable_by doesn't check this. So that the only way to make it
writable by all players is to include all the players in .writers.
The correction I propose is: change -
#46:"is_writable_by"   this none this
 1:  return $perm_utils:controls(who = args[1], this) || who in this.writers;
to -
#46:"is_writable_by"   this none this
 1:  return typeof(this.writers) != LIST || $perm_utils:controls(who =
args[1], this) || who in this.writers;

Now I noticed that this hasn't changed from previous cores... How do I make
a list publicly writable, if not by this method?

There's another 'bug' that has me baffled.
I @programmer a player, and it gets a quota of 27. I looked at the code of
$wiz_utils:set_programmer...

24:    victim.ownership_quota = oldquota + ($prog.ownership_quota -
$player_class.ownership_quota);

$prog.ownership_quota == 20.
$player_class == $player.
$player.ownership_quota == 0.
But a new programmer gets 27, consistently.
With one even-more-baffling exception. One character was created by
self-create, not by @make-player. When I progged him, he received a quota
of 20.
But I can't see any difference between him and the other players...!
This isn't happening in our dbase only. I was progged on another 1.7.5 MOO
and got 27 quota.
Any ideas..?